KD SOAP API Documentation: KDSoapMessageAddressingProperties.cpp File Reference

| KD SOAP API Documentation 2.2

Loading...
Searching...
No Matches
Functions
KDSoapMessageAddressingProperties.cpp File Reference
`#include "KDSoapMessageAddressingProperties.h"`
`#include "KDSoapNamespaceManager.h"`
`#include "KDSoapNamespacePrefixes_p.h"`
`#include <QDebug>`
`#include <QLatin1String>`
`#include <QString>`
`#include <QXmlStreamWriter>`
Include dependency graph for KDSoapMessageAddressingProperties.cpp:

Go to the source code of this file.

## Functions
QDebug | operator<< (QDebug dbg, const KDSoapMessageAddressingProperties &msg)
static void | writeAddressField (QXmlStreamWriter &writer, const QString &addressingNS, const QString &address)
static void | writeKDSoapValueListHierarchy (KDSoapNamespacePrefixes &namespacePrefixes, QXmlStreamWriter &writer, const QString &addressingNS, const KDSoapValueList &values)
static void | writeKDSoapValueVariant (QXmlStreamWriter &writer, const KDSoapValue &value)

## Function Documentation

## ◆ operator<<()

QDebug operator<< | ( | QDebug | dbg,
|  | const KDSoapMessageAddressingProperties & | msg
| ) |  |

Support for debugging KDSoapMessageAddressingProperties object via qDebug() << msg;

Definition at line 428 of file KDSoapMessageAddressingProperties.cpp.

References KDSoapMessageAddressingProperties::action(), KDSoapEndpointReference::address(), KDSoapMessageAddressingProperties::destination(), KDSoapMessageAddressingProperties::faultEndpoint(), KDSoapMessageAddressingProperties::messageID(), KDSoapMessageAddressingProperties::replyEndpoint(), and KDSoapMessageAddressingProperties::sourceEndpoint().

## ◆ writeAddressField()

static void writeAddressField | ( | QXmlStreamWriter & | writer,
|  | const QString & | addressingNS,
|  | const QString & | address
| ) |  |
| static

Definition at line 271 of file KDSoapMessageAddressingProperties.cpp.

References QXmlStreamWriter::writeCharacters(), QXmlStreamWriter::writeEndElement(), and QXmlStreamWriter::writeStartElement().

## ◆ writeKDSoapValueListHierarchy()

static void writeKDSoapValueListHierarchy | ( | KDSoapNamespacePrefixes & | namespacePrefixes,
|  | QXmlStreamWriter & | writer,
|  | const QString & | addressingNS,
|  | const KDSoapValueList & | values
| ) |  |
| static

Definition at line 289 of file KDSoapMessageAddressingProperties.cpp.

References QXmlStreamWriter::writeEndElement(), writeKDSoapValueListHierarchy(), writeKDSoapValueVariant(), and QXmlStreamWriter::writeStartElement().

Referenced by writeKDSoapValueListHierarchy().

## ◆ writeKDSoapValueVariant()

static void writeKDSoapValueVariant | ( | QXmlStreamWriter & | writer,
|  | const KDSoapValue & | value
| ) |  |
| static

Definition at line 278 of file KDSoapMessageAddressingProperties.cpp.

References QVariant::canConvert(), QVariant::String, QVariant::toString(), KDSoapValue::value(), and QXmlStreamWriter::writeCharacters().

Referenced by writeKDSoapValueListHierarchy().

© 2010-2024 Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/
Generated on Sun Jan 7 2024 11:47:36 for KD SOAP API Documentation by doxygen 1.9.8